Update Security Inbox default filter
curl --request PATCH \
--url https://neo.api.projectdiscovery.io/api/v1/gmail/mailboxes/{id}/base-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_query": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/gmail/mailboxes/{id}/base-query"
payload = { "base_query": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({base_query: '<string>'})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/gmail/mailboxes/{id}/base-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"base_query": "<string>",
"email_address": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Internal
Update Security Inbox default filter
Set the default Gmail search filter applied to every Security Inbox list for this mailbox. Only the teammate who connected the mailbox can change it. Send an empty string to clear the filter.
PATCH
/
api
/
v1
/
gmail
/
mailboxes
/
{id}
/
base-query
Update Security Inbox default filter
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Mailbox id
Body
application/json
Default Gmail search filter for Security Inbox lists. Empty string clears the filter.
⌘I

